//
//  CircleView.swift
//  Feels (iOS)
//
//  Created by Trey Tartt on 1/13/22.
//

import Foundation
import SwiftUI

struct DayChartView: ChartViewItemBuildable, View, Hashable {
    var color: Color
    var weekDay: Int
    var viewType: ViewType
    
    var body: some View {
        switch viewType {
        case .cicle:
            Circle()
                .fill(color)
                .frame(minWidth: 5, idealWidth: 50, maxWidth: 50, minHeight: 5, idealHeight: 20, maxHeight: 50, alignment: .center)
                .opacity(color == Mood.missing.color ? 0.5 : 1.0)
        case .square:
            Rectangle()
                .fill(color)
                .frame(minWidth: 5, idealWidth: 50, maxWidth: 50, minHeight: 5, idealHeight: 20, maxHeight: 50, alignment: .center)
        case .text(let value):
            Text(value)
                .font(.footnote)
                .frame(minWidth: 5, idealWidth: 50, maxWidth: 50, minHeight: 5, idealHeight: 20, maxHeight: 50, alignment: .center)
        }
    }
}
